NX Open C++ Reference Guide
|
Represents a block feature builder. More...
Public Types | |
enum | Types { TypesOriginAndEdgeLengths, TypesTwoPointsAndHeight, TypesDiagonalPoints } |
Represents the block types. More... | |
Public Member Functions | |
NXOpen::GeometricUtilities::BooleanOperation * | BooleanOption () |
Returns the boolean option Created in NX6.0.0. | |
NXOpen::Features::Feature::BooleanType | BooleanType () |
Returns the boolean operation for the block Created in NX4.0.0. | |
void | GetOrientation (NXOpen::Vector3d *xAxis, NXOpen::Vector3d *yAxis) |
Gets the orientation (x and y axes) of the block. | |
NXOpen::Expression * | Height () |
Returns the expression representing the block height. | |
NXOpen::Expression * | Length () |
Returns the expression representing the block length. | |
NXOpen::Point3d | Origin () |
Returns the point coordinates representing the block origin. | |
NXOpen::Point * | OriginPoint () |
Returns the block origin point Created in NX6.0.0. | |
bool | ParentAssociativity () |
Returns the option to keep associativity of the Origin and Origin Offset Points Created in NX8.0.0. | |
NXOpen::Point * | PointFromOrigin () |
Returns the point which defines values along the x, y axes of the WCS from origin point, when type is two point and height. | |
void | SetBooleanOperationAndTarget (NXOpen::Features::Feature::BooleanType booleanOperation, NXOpen::Body *targetBody) |
Set the boolean operation for creating the block and the boolean operation target body Created in NX3.0.0. | |
void | SetBooleanType (NXOpen::Features::Feature::BooleanType booleanType) |
Sets the boolean operation for the block Created in NX4.0.0. | |
void | SetHeight (const NXString &height) |
The expression representing the block height. | |
void | SetHeight (const char *height) |
The expression representing the block height. | |
void | SetLength (const NXString &length) |
The expression representing the block length. | |
void | SetLength (const char *length) |
The expression representing the block length. | |
void | SetOrientation (const NXOpen::Vector3d &xAxis, const NXOpen::Vector3d &yAxis) |
Sets the orientation for the block Created in NX4.0.0. | |
void | SetOrigin (const NXOpen::Point3d &origin) |
Sets the point coordinates representing the block origin. | |
void | SetOriginAndLengths (const NXOpen::Point3d &originPoint, const NXString &lengthExpression, const NXString &widthExpression, const NXString &heightExpression) |
Create a block by setting the origin and the block length, width, and height. | |
void | SetOriginAndLengths (const NXOpen::Point3d &originPoint, const char *lengthExpression, const char *widthExpression, const char *heightExpression) |
Create a block by setting the origin and the block length, width, and height. | |
void | SetOriginPoint (NXOpen::Point *blockOriginPoint) |
Sets the block origin point Created in NX6.0.0. | |
void | SetParentAssociativity (bool parentAssociativity) |
Sets the option to keep associativity of the Origin and Origin Offset Points Created in NX8.0.0. | |
void | SetPointFromOrigin (NXOpen::Point *blockPointFromOrigin) |
Sets the point which defines values along the x, y axes of the WCS from origin point, when type is two point and height. | |
void | SetTarget (NXOpen::Body *target) |
Sets the target body for the boolean operation (if any) for the block Created in NX4.0.0. | |
void | SetTwoDiagonalPoints (const NXOpen::Point3d &originPoint, const NXOpen::Point3d &cornerPoint) |
Create a block by setting two diagonal points, one at the block origin and one at the opposite corner point. | |
void | SetTwoPointsAndHeight (const NXOpen::Point3d &originPoint, const NXOpen::Point3d &cornerPoint, const NXString &heightExpression) |
Create a block by setting the block height and two diagonal points in the WCS x-y plane. | |
void | SetTwoPointsAndHeight (const NXOpen::Point3d &originPoint, const NXOpen::Point3d &cornerPoint, const char *heightExpression) |
Create a block by setting the block height and two diagonal points in the WCS x-y plane. | |
void | SetType (NXOpen::Features::BlockFeatureBuilder::Types type) |
Sets the type represented by Features::BlockFeatureBuilder::Types Created in NX6.0.0. | |
void | SetWidth (const NXString &width) |
The expression representing the block width. | |
void | SetWidth (const char *width) |
The expression representing the block width. | |
NXOpen::Body * | Target () |
Returns the target body for the boolean operation (if any) for the block Created in NX4.0.0. | |
NXOpen::Features::BlockFeatureBuilder::Types | Type () |
Returns the type represented by Features::BlockFeatureBuilder::Types Created in NX6.0.0. | |
NXOpen::Expression * | Width () |
Returns the expression representing the block width. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a block feature builder.
To create a new instance of this class, use Features::FeatureCollection::CreateBlockFeatureBuilder
Created in NX3.0.0.
Represents the block types.
TypesOriginAndEdgeLengths |
Represents the block created by providing Origin and Edge Lengths. |
TypesTwoPointsAndHeight |
Represents the block created by providing Two Points and Height. |
TypesDiagonalPoints |
Represents the block created by providing Diagonal Points. |
NXOpen::GeometricUtilities::BooleanOperation* NXOpen::Features::BlockFeatureBuilder::BooleanOption | ( | ) |
Returns the boolean option
Created in NX6.0.0.
License requirements : None
NXOpen::Features::Feature::BooleanType NXOpen::Features::BlockFeatureBuilder::BooleanType | ( | ) |
Returns the boolean operation for the block
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
void NXOpen::Features::BlockFeatureBuilder::GetOrientation | ( | NXOpen::Vector3d * | xAxis, |
NXOpen::Vector3d * | yAxis | ||
) |
Gets the orientation (x and y axes) of the block.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
xAxis | x axis |
yAxis | y axis |
NXOpen::Expression* NXOpen::Features::BlockFeatureBuilder::Height | ( | ) |
Returns the expression representing the block height.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
NXOpen::Expression* NXOpen::Features::BlockFeatureBuilder::Length | ( | ) |
Returns the expression representing the block length.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
NXOpen::Point3d NXOpen::Features::BlockFeatureBuilder::Origin | ( | ) |
Returns the point coordinates representing the block origin.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
NXOpen::Point* NXOpen::Features::BlockFeatureBuilder::OriginPoint | ( | ) |
Returns the block origin point
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::BlockFeatureBuilder::ParentAssociativity | ( | ) |
Returns the option to keep associativity of the Origin and Origin Offset Points
Created in NX8.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::BlockFeatureBuilder::PointFromOrigin | ( | ) |
Returns the point which defines values along the x, y axes of the WCS from origin point, when type is two point and height.
the point which defines values along the x, y and z axes of the WCS from origin point, when type is diagonal points.
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::BlockFeatureBuilder::SetBooleanOperationAndTarget | ( | NXOpen::Features::Feature::BooleanType | booleanOperation, |
NXOpen::Body * | targetBody | ||
) |
Set the boolean operation for creating the block and the boolean operation target body
Created in NX3.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE"), solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
booleanOperation | Type of boolean operation. |
targetBody | Target body for boolean operation. Set to a null reference (Nothing in Visual Basic) for a boolean create operation. |
void NXOpen::Features::BlockFeatureBuilder::SetBooleanType | ( | NXOpen::Features::Feature::BooleanType | booleanType | ) |
Sets the boolean operation for the block
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
booleanType | boolean type |
void NXOpen::Features::BlockFeatureBuilder::SetHeight | ( | const NXString & | height | ) |
The expression representing the block height.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
height | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::BlockFeatureBuilder::SetHeight | ( | const char * | height | ) |
The expression representing the block height.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
height | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::BlockFeatureBuilder::SetLength | ( | const NXString & | length | ) |
The expression representing the block length.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
length | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::BlockFeatureBuilder::SetLength | ( | const char * | length | ) |
The expression representing the block length.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
length | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::BlockFeatureBuilder::SetOrientation | ( | const NXOpen::Vector3d & | xAxis, |
const NXOpen::Vector3d & | yAxis | ||
) |
Sets the orientation for the block
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
xAxis | x axis |
yAxis | y axis |
void NXOpen::Features::BlockFeatureBuilder::SetOrigin | ( | const NXOpen::Point3d & | origin | ) |
Sets the point coordinates representing the block origin.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
origin | origin |
void NXOpen::Features::BlockFeatureBuilder::SetOriginAndLengths | ( | const NXOpen::Point3d & | originPoint, |
const NXString & | lengthExpression, | ||
const NXString & | widthExpression, | ||
const NXString & | heightExpression | ||
) |
Create a block by setting the origin and the block length, width, and height.
The origin of the block is specified by the input origin point in absolute coordinates. The orientation of the block is along the x, y, and z axes of the WCS.
Created in NX3.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE"), solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
originPoint | Block origin point |
lengthExpression | Block length in the WCS x direction NOTE: The full Unicode character set is not supported for this parameter. |
widthExpression | Block width in the WCS y direction NOTE: The full Unicode character set is not supported for this parameter. |
heightExpression | Block height in the WCS z direction NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::BlockFeatureBuilder::SetOriginAndLengths | ( | const NXOpen::Point3d & | originPoint, |
const char * | lengthExpression, | ||
const char * | widthExpression, | ||
const char * | heightExpression | ||
) |
Create a block by setting the origin and the block length, width, and height.
The origin of the block is specified by the input origin point in absolute coordinates. The orientation of the block is along the x, y, and z axes of the WCS.
Created in NX3.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE"), solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
originPoint | Block origin point |
lengthExpression | Block length in the WCS x direction NOTE: The full Unicode character set is not supported for this parameter. |
widthExpression | Block width in the WCS y direction NOTE: The full Unicode character set is not supported for this parameter. |
heightExpression | Block height in the WCS z direction NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::BlockFeatureBuilder::SetOriginPoint | ( | NXOpen::Point * | blockOriginPoint | ) |
Sets the block origin point
Created in NX6.0.0.
License requirements : None
blockOriginPoint | blockoriginpoint |
void NXOpen::Features::BlockFeatureBuilder::SetParentAssociativity | ( | bool | parentAssociativity | ) |
Sets the option to keep associativity of the Origin and Origin Offset Points
Created in NX8.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE"), solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
parentAssociativity | parentassociativity |
void NXOpen::Features::BlockFeatureBuilder::SetPointFromOrigin | ( | NXOpen::Point * | blockPointFromOrigin | ) |
Sets the point which defines values along the x, y axes of the WCS from origin point, when type is two point and height.
the point which defines values along the x, y and z axes of the WCS from origin point, when type is diagonal points.
Created in NX6.0.0.
License requirements : None
blockPointFromOrigin | blockpointfromorigin |
void NXOpen::Features::BlockFeatureBuilder::SetTarget | ( | NXOpen::Body * | target | ) |
Sets the target body for the boolean operation (if any) for the block
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
target | target |
void NXOpen::Features::BlockFeatureBuilder::SetTwoDiagonalPoints | ( | const NXOpen::Point3d & | originPoint, |
const NXOpen::Point3d & | cornerPoint | ||
) |
Create a block by setting two diagonal points, one at the block origin and one at the opposite corner point.
The orientation of the block is along the x, y, and z axes of the WCS.
Created in NX3.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE"), solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
void NXOpen::Features::BlockFeatureBuilder::SetTwoPointsAndHeight | ( | const NXOpen::Point3d & | originPoint, |
const NXOpen::Point3d & | cornerPoint, | ||
const NXString & | heightExpression | ||
) |
Create a block by setting the block height and two diagonal points in the WCS x-y plane.
The orientation of the block is along the x, y, and z axes of the WCS.
Created in NX3.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE"), solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
void NXOpen::Features::BlockFeatureBuilder::SetTwoPointsAndHeight | ( | const NXOpen::Point3d & | originPoint, |
const NXOpen::Point3d & | cornerPoint, | ||
const char * | heightExpression | ||
) |
Create a block by setting the block height and two diagonal points in the WCS x-y plane.
The orientation of the block is along the x, y, and z axes of the WCS.
Created in NX3.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE"), solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
void NXOpen::Features::BlockFeatureBuilder::SetType | ( | NXOpen::Features::BlockFeatureBuilder::Types | type | ) |
Sets the type represented by Features::BlockFeatureBuilder::Types
Created in NX6.0.0.
License requirements : None
type | type |
void NXOpen::Features::BlockFeatureBuilder::SetWidth | ( | const NXString & | width | ) |
The expression representing the block width.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
width | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::BlockFeatureBuilder::SetWidth | ( | const char * | width | ) |
The expression representing the block width.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
width | NOTE: The full Unicode character set is not supported for this parameter. |
NXOpen::Body* NXOpen::Features::BlockFeatureBuilder::Target | ( | ) |
Returns the target body for the boolean operation (if any) for the block
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")
NXOpen::Features::BlockFeatureBuilder::Types NXOpen::Features::BlockFeatureBuilder::Type | ( | ) |
Returns the type represented by Features::BlockFeatureBuilder::Types
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::BlockFeatureBuilder::Width | ( | ) |
Returns the expression representing the block width.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE")